# DataExchange
TKIGES
IGESSelect

# IGESSelect_SignStatus Class Reference

Gives D.E. Status under the form i,j,k,l (4 figures)
i for BlankStatus
j for SubordinateStatus
k for UseFlag
l for Hierarchy
For matching, allowed shortcuts
B(Blanked) or V(Visible) are allowed instead of i
I(Independant=0), P(Physically Dep.=1), L(Logically Dep.=2) or
D(Dependant=3) are allowed instead of j
These letters must be given in their good position
For non-exact matching :
a letter (see above), no comma : only this status is checked
nothing or a star between commas : this status is OK
.

`#include <IGESSelect_SignStatus.hxx>`

Inheritance diagram for IGESSelect_SignStatus:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SignStatus ()
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the value (see above) .
virtual Standard_EXPORT Standard_Boolean | Matches (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Performs the match rule (see above) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SignStatus::IGESSelect_SignStatus | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SignStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

virtual Standard_EXPORT Standard_Boolean IGESSelect_SignStatus::Matches | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) | const`[virtual]`

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IGESSelect_SignStatus::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

The documentation for this class was generated from the following file:

- IGESSelect_SignStatus.hxx